function [ allSignalListOUT ] = expandSignalsList( allSignalListIN )
%Rozsiri pole allSignalListIN na rozmer, ktery pro vstup vyzaduji dalsi funkce
%   
    allSignalListOUT = zeros(1,numel(allSignalListIN)*20);
    myCard = 20;
    indexPointer = 0;
    
    for i=1:numel(allSignalListIN)
        if allSignalListIN(i)~=0
            allSignalListOUT(indexPointer+(1:myCard)) = allSignalListIN(i);
            indexPointer = indexPointer + myCard;
        end
    end
end

